unit ServerMainSSL;

interface

uses
  Winapi.Windows, Winapi.Messages,
  System.SysUtils, System.Variants, System.Classes, System.StrUtils,
  Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, IdContext, IdCustomHTTPServer,
  IdBaseComponent, IdComponent, IdCustomTCPServer, IdHTTPServer, Vcl.StdCtrls,
  IdServerIOHandler, IdSSL, IdSSLOpenSSL;

type
  TForm2 = class(TForm)
    IdHTTPServer1: TIdHTTPServer;
    chkDoorClose: TCheckBox;
    IdServerIOHandlerSSLOpenSSL1: TIdServerIOHandlerSSLOpenSSL;
    procedure IdHTTPServer1CommandGet(AContext: TIdContext;
      ARequestInfo: TIdHTTPRequestInfo; AResponseInfo: TIdHTTPResponseInfo);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

{$R *.dfm}

procedure TForm2.FormCreate(Sender: TObject);
begin
  IdHTTPServer1.Active := True;
end;

procedure TForm2.FormDestroy(Sender: TObject);
begin
  IdHTTPServer1.Active := False;

end;

procedure TForm2.IdHTTPServer1CommandGet(AContext: TIdContext;
  ARequestInfo: TIdHTTPRequestInfo; AResponseInfo: TIdHTTPResponseInfo);
var
  HtmlResult: String;
begin
  if ARequestInfo.Document = '/getWeight' then begin
    HtmlResult := '<html>'#13#10'Weight=0.00'#13#10'</html>';
  end else if ARequestInfo.Document = '/getReedSwitchStatus' then begin
    HtmlResult := Format('ReedSwitchStatus=%s', [System.StrUtils.ifthen(chkDoorClose.Checked, '1', '0')]);
  end;
//  HtmlResult := ARequestInfo.Document + ':' + ARequestInfo.UnparsedParams;

  AResponseInfo.ContentText := HtmlResult;
end;

end.
